View Issue Details

IDProjectCategoryView StatusLast Update
0001443DraftBugpublic2014-02-27 15:11
Reportermicroelly2Assigned To 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformwindowsOSwindowsOS Version7
Product Versiontrunk 
Target VersionFixed in Version0.14 
Summary0001443: Shapestring Font browser does not work as expected
DescriptionWhen I select the path to the ttf-File in the dialog of Draft:Shapestring
a correct path e:\nyala.ttf is written then an error arrises:

Traceback (most recent call last):
  File "E:\built8a_freetype\Mod\Draft\Draft.py", line 4575, in execute
    obj.Tracking)
<type 'exceptions.Exception'>: Font file not found: //nyala.ttf
ShapeString: Font file not found: //nyala.ttf

When I change the path to nyala.tff the string object is shown. I think it points now to the system font dir.

Steps To ReproduceDraft Workbench
create a shapestring
select the font with the filebrowser from an directory that i not the windows/font dir.
TagsNo tags attached.

Activities

wandererfan

2014-02-26 16:30

manager   ~0004312

This works for:
OS: Ubuntu 12.04.4 LTS
Platform: 64-bit
Version: 0.14.3209 (Git)
Branch: master
Hash: 75e5d5f3acef40c24c43019fa0b70a8f444d0892
Python version: 2.7.3
Qt version: 4.8.1
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.7.0

Draft workbench activated
Pick ShapeString location point:
(u'/home/user/.fonts/dyspepsia.ttf', u'Fonts (*.ttf *.pfb *.otf)')

I don't have a Windows environment. Could you please post the output of your Report View so I can see the file name message? Thanks.

wmayer

2014-02-27 15:11

administrator   ~0004321

git show b3d1b7a

Issue History

Date Modified Username Field Change
2014-02-25 16:03 microelly2 New Issue
2014-02-26 16:30 wandererfan Note Added: 0004312
2014-02-27 15:11 wmayer Note Added: 0004321
2014-02-27 15:11 wmayer Status new => closed
2014-02-27 15:11 wmayer Resolution open => fixed
2014-02-27 15:11 wmayer Fixed in Version => 0.14